.bcc-section-title {
    display: flex;
    align-items: center;
    gap: 4px;
    margin-bottom: 20px;
}

.bcc-section-title svg {
    width: 24px;
    height: 24px;
}

.bcc-section-title h2 {
    color: var(--dark-blue-9);
    font-weight: 700;
    font-size: 18px;
    margin: 0;
}

@media (max-width: 768px) {
    .bcc-section-title svg {
        width: 20px;
        height: 20px;
    }
    .bcc-section-title h2 {
        font-size: 14px;
    }
}

.brokers-comparison-chart-wrapper,
.brokers-comparison-chart-wrapper *,
.bcc-section-title {
    font-family: 'YekanBakh';
}

.brokers-comparison-chart-wrapper {
    display: flex;
    flex-direction: row;
    column-gap: 24px;
}

.bcc-chart-container {
    width: 60%;
    flex-grow: 1;
    border: 1px solid #E9EBF1;
    border-radius: 12px;
    padding: 24px 32px 8px 32px;
}

.bcc-banner-container {
    width: 40%;
    max-width: 320px;
}

@media (max-width: 768px) {
    .brokers-comparison-chart-wrapper {
        flex-direction: column;
        row-gap: 32px;
    }

    .bcc-chart-container {
        width: 100%;
        border: none;
        padding: 0;
    }

    .bcc-banner-container {
        width: 100%;
        max-width: unset;
    }
}


/*** Controls (Dropdown) ***/
.bcc-controls {
    display: flex;
    align-items: stretch;
    margin-bottom: 16px;
}

.bcc-dropdown-label {
    display: flex;
    align-items: center;
    font: 400 14px 'YekanBakh';
    color: #7684A7;
    background: #F6F8FE;
    padding: 8px 16px;
    border-radius: 0 12px 12px 0;
}

.bcc-dropdown {
    width: fit-content;
    font: 400 14px 'YekanBakh';
    color: #152242;
    padding: 0 16px 0 32px;
    outline: none;
    border-radius: 12px 0 0 12px;
    border: 1px solid #EBEBEB;
    border-width: 1px 0 1px 1px;
    background-color: #FCFEFF;
    cursor: pointer;
    appearance: none;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="7" viewBox="0 0 12 7" fill="none"><path d="M0.75 0.75L5.66016 5.66016L10.5703 0.75" stroke="rgba(118, 132, 167, 1)" stroke-width="1.5" stroke-linecap="round"/></svg>');
    background-repeat: no-repeat;
    background-position: left 12px center;
}

.bcc-dropdown:focus {
    border: 1px solid #EBEBEB;
    border-width: 1px 0 1px 1px;
}

@media (max-width: 768px) {
    .bcc-dropdown {
        flex-grow: 1;
    }
}


/* ==============================Chart Styles=============================*/
.bcc-chart {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    background: #fff;
    padding: 0;
    height: 216px;
}

.bar-group {
    height: 100%;
    position: relative;
    flex-grow: 1;
    flex-shrink: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.bar-area {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    margin-bottom: 3.6em;
}

.bar {
    position: relative;
    width: 85%;
    max-width: 50px;
    background: linear-gradient(360deg, #EFF5FF, #E5EFFF);
    border-radius: 4px 4px 0 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.bar-value {
    font: 400 14px 'YekanBakh';
    position: absolute;
    right: 50%;
    bottom: 16px;
    color: #fff;
    opacity: 0;
    margin: 0;
    transform: translate(50%, 10px) rotate(-90deg) translate(50%, 0px);
    transform-origin: center;
    white-space: nowrap;
}

.bar-value.outside {
    top: 0;
    bottom: unset;
    right: 0;
    transform: translate(0%, -100%) rotate(-90deg) translate(50%, -38%);
    color: #3E74FE;
}

.bar-label {
    font: 400 12px 'YekanBakh';
    position: absolute;
    bottom: 0;
    width: 80%;
    font-size: 12px;
    white-space: wrap;
    color: #152242;
    text-align: center;
    line-height: 1.2;
    min-height: 3.6em;
}

.bar-label a {
    text-decoration: none;
    color: #152242;
}

@media (max-width:768px) {
    .bar-label {
        font-size: 11px;
    }
}

.bar-group.active .bar {
    background: linear-gradient(180deg, #0095FF, #0061FF);
}

.bar-group.active .bar .bar-value {
    opacity: 1;
}

.bar-group:not(.active):hover .bar .bar-value {
    opacity: 1;
    color: #3E74FE;

}

.bcc-chart.bcc-dir-ltr {
    direction: ltr;
}

.bcc-chart.bcc-dir-rtl {
    direction: rtl;
}


/* ==============================Banner Styles=============================*/

.bcc-banner {
    position: relative;
    overflow: hidden;
    padding: 24px;
    background: #FCFEFF;
    border: 1px solid #E9EBF1;
    border-radius: 12px;
}

.bcc-best-badge {
    position: absolute;
    font: 400 12px 'YekanBakh';
    top: 9px;
    right: -44px;
    background: linear-gradient(90deg, rgba(0, 149, 255, 1), rgba(0, 97, 255, 1), rgba(22, 111, 255, 1));
    color: #fff;
    padding: 5px 50px;
    transform: rotate(45deg);
}

.bcc-banner-title {
    font: 700 16px 'YekanBakh';
    color: #1F3262;
    text-align: center;
    margin-bottom: 20px;
}

.bcc-broker-logo {
    display: block;
    max-width: 100%;
}

.bcc-best-info {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 16px;
}

.bcc-broker-image {
    width: 120px;
    border: 1px solid #CBD0DD;
    border-radius: 8px;
}

.bcc-broker-image img {
    border-radius: 8px;
}

.bcc-broker-details {
    flex-grow: 1;
    text-align: right;
}

.bcc-broker-name {
    font: 400 16px 'YekanBakh';
    color: #1F3262;
    margin-bottom: 4px;
}

.bcc-field {
    font: 400 14px 'YekanBakh';
    color: #4C5E8C;
    margin-bottom: 2px;
}

.bcc-broker-metric {
    text-align: center;
    margin: 16px 0;
}

.bcc-metric-label {
    font: 400 16px 'YekanBakh';
    color: #1F3262;
}

.bcc-metric-value {
    font: 700 16px 'YekanBakh';
    color: #3E74FE;
}

.bcc-button {
    display: block;
    width: 100%;
    text-align: center;
    text-decoration: none;
    font: 400 14px 'YekanBakh';
    color: #4C5E8C;
}

.bcc-button:hover {
    color: #253B73;
}

.bcc-button-register {
    background: #3E74FE;
    margin-bottom: 16px;
    border-radius: 8px;
    color: #FCFEFF;
    padding: 8px;
}

.bcc-button-register:hover {
    color: #FCFEFF;
    background-color: #3563D8;
}